/*
    ITmages  upload client for Windows
    Copyright (C) 2011 Dmitriy Simbiriatin <slpiv@itmages.ru>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef ERRORSHANDLER_H
#define	ERRORSHANDLER_H

typedef enum {
    ERROR_WRITEFILE = 2,
    ERROR_READFILE = 3,
    ERROR_CURL = 4,
    ERROR_MEMALLOC = 5,
    ERROR_PARSERESPONSE = 6,
    ERROR_GETIMGPATH = 7,
    ERROR_SUPPORTEDIMG = 8,
    ERROR_GETIMGSIZE = 9,
    ERROR_MAXIMGSIZE = 10,
    ERROR_OPENCLIPBOARD = 11,
    ERROR_REGISTERWNDCLS = 12,
    ERROR_GETSETTINGSDIR = 13,
    ERROR_GETCOOKIESDIR = 14,
    ERROR_READCONFFILE = 15,
    ERROR_WRITECONFFILE = 16,
    ERROR_CREATETHREAD = 17,
    ERROR_CONNECTION = 18,
    ERROR_LOGIN = 19,
    ERROR_LOGOUT = 20,
    ERROR_EMPTYPATH = 21,
    ERROR_BIGWIDTH = 22,
    ERROR_BADIMGSIZE = 23,
    ERROR_GETIMGWIDTH = 24,
    ERROR_GETIMGINFO = 25
} ItmagesErrorIds;

void ErrorsHandler(ItmagesErrorIds error_number);

#endif
