/*
    ITmages  upload client for Windows
    Copyright (C) 2011 Dmitriy Simbiriatin <slpiv@itmages.ru>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef SIZES_H
#define	SIZES_H

// Login window's properties (pos x, pos y, width, height) =====================
#define LOGIN_WND_WIDTH 335
#define LOGIN_WND_HEIGHT 290
// -----------------------------------------------------------------------------
#define LOGIN_TABCONTROL_X 15
#define LOGIN_TABCONTROL_Y 15
#define LOGIN_TABCONTROL_WIDTH 300
#define LOGIN_TABCONTROL_HEIGHT 180
// -----------------------------------------------------------------------------
#define LOGIN_EDIT_X 120
#define LOGIN_EDIT_Y 60
#define LOGIN_EDIT_WIDTH 155
#define LOGIN_EDIT_HEIGHT 20
// -----------------------------------------------------------------------------
#define LOGIN_TXT_X 55
#define LOGIN_TXT_Y 60
#define LOGIN_TXT_WIDTH 60
#define LOGIN_TXT_HEIGHT 20
// -----------------------------------------------------------------------------
#define PASSWD_EDIT_X 120
#define PASSWD_EDIT_Y 90
#define PASSWD_EDIT_WIDTH 155
#define PASSWD_EDIT_HEIGHT 20
// -----------------------------------------------------------------------------
#define PASSWD_TXT_X 55
#define PASSWD_TXT_Y 95
#define PASSWD_TXT_WIDTH 60
#define PASSWD_TXT_HEIGHT 20
// -----------------------------------------------------------------------------
#define CHECK_WITHOUTLOGIN_X 55
#define CHECK_WITHOUTLOGIN_Y 122
#define CHECK_WITHOUTLOGIN_WIDTH 210
#define CHECK_WITHOUTLOGIN_HEIGHT 20
// -----------------------------------------------------------------------------
#define CHECK_SAVEDATA_X 55
#define CHECK_SAVEDATA_Y 147
#define CHECK_SAVEDATA_WIDTH 210
#define CHECK_SAVEDATA_HEIGHT 20
// -----------------------------------------------------------------------------
#define CHECK_RESIZEIMG_X 45
#define CHECK_RESIZEIMG_Y 65
#define CHECK_RESIZEIMG_WIDTH 95
#define CHECK_RESIZEIMG_HEIGHT 20
// -----------------------------------------------------------------------------
#define RESIZEIMG_SIZE_X 155
#define RESIZEIMG_SIZE_Y 65
#define RESIZEIMG_SIZE_WIDTH 125
#define RESIZEIMG_SIZE_HEIGHT 20
// -----------------------------------------------------------------------------
#define RESIZE_FILTER_X 155
#define RESIZE_FILTER_Y 100
#define RESIZE_FILTER_WIDTH 125
#define RESIZE_FILTER_HEIGHT 20
// -----------------------------------------------------------------------------
#define CHECK_ROTATEIMG_X 45
#define CHECK_ROTATEIMG_Y 135
#define CHECK_ROTATEIMG_WIDTH 90
#define CHECK_ROTATEIMG_HEIGHT 20
// -----------------------------------------------------------------------------
#define ROTATEIMG_ANGLE_X 155
#define ROTATEIMG_ANGLE_Y 135
#define ROTATEIMG_ANGLE_WIDTH 125
#define ROTATEIMG_ANGLE_HEIGHT 20
// -----------------------------------------------------------------------------
#define CHECK_USEPROXY_X 50
#define CHECK_USEPROXY_Y 60
#define CHECK_USEPROXY_WIDTH 170
#define CHECK_USEPROXY_HEIGHT 20
// -----------------------------------------------------------------------------
#define PROXY_ADDRESS_X 120
#define PROXY_ADDRESS_Y 95
#define PROXY_ADDRESS_WIDTH 150
#define PROXY_ADDRESS_HEIGHT 20
// -----------------------------------------------------------------------------
#define PROXYADDRESS_TXT_X 50
#define PROXYADDRESS_TXT_Y 95
#define PROXYADDRESS_TXT_WIDTH 60
#define PROXYADDRESS_TXT_HEIGHT 20
// -----------------------------------------------------------------------------
#define PROXY_PORT_X 120
#define PROXY_PORT_Y 125
#define PROXY_PORT_WIDTH 75
#define PROXY_PORT_HEIGHT 20
// -----------------------------------------------------------------------------
#define PROXYPORT_TXT_X 50
#define PROXYPORT_TXT_Y 125
#define PROXYPORT_TXT_WIDTH 60
#define PROXYPORT_TXT_HEIGHT 20
// -----------------------------------------------------------------------------
#define UPLOAD_BUTTON_X 230
#define UPLOAD_BUTTON_Y 227
#define UPLOAD_BUTTON_WIDTH 85
#define UPLOAD_BUTTON_HEIGHT 23
// -----------------------------------------------------------------------------
#define ABOUT_BUTTON_X 15
#define ABOUT_BUTTON_Y 227
#define ABOUT_BUTTON_WIDTH 85
#define ABOUT_BUTTON_HEIGHT 23
// -----------------------------------------------------------------------------
#define UPLOAD_PROGRESSBAR_X 15
#define UPLOAD_PROGRESSBAR_Y 200
#define UPLOAD_PROGRESSBAR_WIDTH 299
#define UPLOAD_PROGRESSBAR_HEIGHT 20
// =============================================================================

// About window's properties (pos x, pos y, width, height) =====================
#define ABOUT_WND_WIDTH 350
#define ABOUT_WND_HEIGHT 270
// -----------------------------------------------------------------------------
#define ABOUT_TABCONTROL_X 15
#define ABOUT_TABCONTROL_Y 15
#define ABOUT_TABCONTROL_WIDTH 312
#define ABOUT_TABCONTROL_HEIGHT 182
// -----------------------------------------------------------------------------
#define ITMAGES_IMG_X 45
#define ITMAGES_IMG_Y 55
// -----------------------------------------------------------------------------
#define ABOUT_INFO_X 95
#define ABOUT_INFO_Y 55
#define ABOUT_INFO_WIDTH 215
#define ABOUT_INFO_HEIGHT 125
// -----------------------------------------------------------------------------
#define LICENSE_INFO_X 20
#define LICENSE_INFO_Y 40
#define LICENSE_INFO_WIDTH 302
#define LICENSE_INFO_HEIGHT 153
// -----------------------------------------------------------------------------
#define CREDITS_INFO_X 20
#define CREDITS_INFO_Y 40
#define CREDITS_INFO_WIDTH 302
#define CREDITS_INFO_HEIGHT 153
// -----------------------------------------------------------------------------
#define CLOSE_BUTTON_X 252
#define CLOSE_BUTTON_Y 204
#define CLOSE_BUTTON_WIDTH 75
#define CLOSE_BUTTON_HEIGHT 23
// =============================================================================

// Ready window's properties (pos x, pos y, width, height) =====================
#define READY_WND_WIDTH 460
#define READY_WND_HEIGHT 180
// -----------------------------------------------------------------------------
#define IMAGE_PREVIEW_X 20
#define IMAGE_PREVIEW_Y 25
#define IMAGE_PREVIEW_WIDTH 140
#define IMAGE_PREVIEW_HEIGHT 105
// -----------------------------------------------------------------------------
#define LINK_LIST_X 180
#define LINK_LIST_Y 25
#define LINK_LIST_WIDTH 260
#define LINK_LIST_HEIGHT 20
// -----------------------------------------------------------------------------
#define LINK_PREVIEW_X 180
#define LINK_PREVIEW_Y 67
#define LINK_PREVIEW_WIDTH 260
#define LINK_PREVIEW_HEIGHT 20
// -----------------------------------------------------------------------------
#define COPYTOCLIPBOARD_X 180
#define COPYTOCLIPBOARD_Y 107
#define COPYTOCLIPBOARD_WIDTH 128
#define COPYTOCLIPBOARD_HEIGHT 23
// -----------------------------------------------------------------------------
#define OPENINBROWSER_X 313
#define OPENINBROWSER_Y 107
#define OPENINBROWSER_WIDTH 128
#define OPENINBROWSER_HEIGHT 23
// =============================================================================

#endif

